MD5SUM(1)

NAME
md5sum - compute and check MD5 message digest

SYNOPSIS
md5sum [-bhtvV] [-c file] [-s[string]] [--binary] [--check=file] [--help] [--string[=string]] [--text] [--verbose] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of md5sum. md5sum produces for each input file a 128-bit "fingerprint" or "message-digest" or it can check with the output of a former run whether the message digests are still the same (i.e. whether the files changed).

  OPTIONS

-b, --binary
    Treat all input files as binary. This normally does not make any difference on UN*X systems but some systems have a different internal and external representation of texts (especially the end-of-line characters).

-c, --check=file
    file should be the output of a former run of md5sum. The file has in each line the MD5 sum, a binary/text flag, and a file name. This file will be opened (with each possible relative path) and the message digest is computed. If it is not the same as given in this line it will be marked as failed.

-h --help
    Print a usage message and exit.

-s, --string=string
    Instead of computing the message digest for a file compute it for the given string. The result is the same as for a file with contains exactly this string.

-t, --text
    Treat all input files as text files. This is the reverse option to --binary.

-v, --verbose
    Verbosely write information about the process.

-V, --version
    Print version information on standard output then exit.